Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface ProxiedEntityView

All Known Subinterfaces:
  BookView, PageView

    public interface ProxiedEntityView

View of an entity that has been created from a remote representation of a similar entity.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Field Summary
`static byte` | `HAS_PROXY_INFO` Result returned by the #hasProxyInfo method when this ProxiedEntityView has proxy information attached to it.
`static byte` | `NO_PROXY_INFO` Result returned by the #hasProxyInfo method when this ProxiedEntityView has no proxy information attached to it.
`static byte` | `NOT_AVAILABLE` Result returned by the #hasProxyInfo method when there is no information available as to whether this ProxiedEntityView actually has any proxy information attached to it.

Method Summary
`String` | `getProviderName()` Returns the name of the provider that provided the source entity that this proxied view is created from.
`Id` | `getProxiedEntityId()` Returns the `Id` of this proxied entity.
`byte` | `hasProxyInfo()` Returns one of `INFO_NOT_AVAILABLE`, `PROXY_VIEW` or `NOT_PROXY_VIEW`.

Field Detail

### NOT_AVAILABLE

    static final byte NOT_AVAILABLE

  Result returned by the #hasProxyInfo method when there is no information available as to whether this ProxiedEntityView actually has any proxy information attached to it.

  See Also
    Constants Summary

### HAS_PROXY_INFO

    static final byte HAS_PROXY_INFO

  Result returned by the #hasProxyInfo method when this ProxiedEntityView has proxy information attached to it.

  See Also
    Constants Summary

### NO_PROXY_INFO

    static final byte NO_PROXY_INFO

  Result returned by the #hasProxyInfo method when this ProxiedEntityView has no proxy information attached to it.

  See Also
    Constants Summary

Method Detail

### hasProxyInfo

    byte hasProxyInfo()

  Returns one of `INFO_NOT_AVAILABLE`, `PROXY_VIEW` or `NOT_PROXY_VIEW`.

  Returns
    whether proxy information is attached to this view

### getProviderName

    String getProviderName()

  Returns the name of the provider that provided the source entity that this proxied view is created from.

  Returns
    provider name

### getProxiedEntityId

    Id getProxiedEntityId()

  Returns the `Id` of this proxied entity. Returns `NULL` if this entity is not proxied.

  Returns
    proxied entity `Id`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.